# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/noiz2sa/noiz2sa-0.5.ebuild,v 0.2 atzm Exp $

inherit games

IUSE=""

DESCRIPTION="Strange game of throwing ball"
SRC_URI="http://www.asahi-net.or.jp/~cs8k-cyu/linux/${PN}_src${PV//./_}.tar.gz"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/"

SLOT="0"
LICENSE="BSD"
KEYWORDS="x86 ~alpha"

DEPEND="media-libs/libsdl
	media-libs/sdl-image
	media-libs/sdl-mixer
	media-libs/libao
	media-libs/libogg
	media-libs/libvorbis"

S="${WORKDIR}/${PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${P}-gentoo.patch
}

src_compile(){
	emake MORE_CFLAGS="${CFLAGS}" || die
}

src_install(){
	dogamesbin ${PN}

	local datadir=${GAMES_DATADIR}/${PN}
	dodir ${datadir}
	cp -r sounds images ${D}/${datadir}

	if [ ! -e ${GAMES_STATEDIR}/${PN}.prf ]
	then
		dodir ${GAMES_STATEDIR}

		touch ${D}/${GAMES_STATEDIR}/${PN}.prf
	fi

	dodoc README
	prepgamesdirs
}

pkg_postinst(){
	chmod ug+rw ${GAMES_STATEDIR}/${PN}.prf
}
